Commit e2a18a86 authored by Kevin Funk's avatar Kevin Funk
Browse files

Drop unneeded Qt5Script dependency

The CMake plugin used to use it, it does not anymore. Same for the qmljs
lib apparently. Also note Qt5Script is deprecated since 5.5.

Drop the dependency so we can save some of the installer download size
(around 1-2 MiB)
parent 5d076e29
......@@ -34,7 +34,7 @@ include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
set(QT_MIN_VERSION "5.4.0")
find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED Widgets Concurrent Quick QuickWidgets WebKitWidgets Script Test)
find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED Widgets Concurrent Quick QuickWidgets WebKitWidgets Test)
set(KF5_DEP_VERSION "5.15.0") # we need KCrash::initialize
find_package(KF5 ${KF5_DEP_VERSION} REQUIRED COMPONENTS
Config
......
......@@ -57,6 +57,7 @@ using KDevelop::AutoTestShell;
namespace GDBDebugger {
QUrl findExecutable(const QString& name)
{
QFileInfo info(qApp->applicationDirPath() + "/unittests/" + name);
Q_ASSERT(info.exists());
......
......@@ -57,7 +57,6 @@ target_link_libraries(kdevqtc-qmlsupport LINK_PRIVATE
Qt5::Core
Qt5::Gui
Qt5::Widgets
Qt5::Script
Qt5::Network
Qt5::Xml
)
......@@ -89,7 +89,7 @@ ki18n_wrap_ui( cmakecommon_SRCS ${cmakecommon_UI} )
add_library( kdevcmakecommon SHARED ${cmakecommon_SRCS} )
target_link_libraries( kdevcmakecommon
KF5::TextEditor KDev::Interfaces KDev::Project KDev::Util
${QT_QTSCRIPT_LIBRARY} KDev::Language
KDev::Language
)
generate_export_header(kdevcmakecommon EXPORT_FILE_NAME cmakecommonexport.h)
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment